Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Attribute table

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23038

Description

In the attribute table one can pick a sort column or expression.

For widgets that have a display value, it would be more useful if the sort order would be by display value instead of the raw numeric value

stored in the data provider.

Affected widgets:

- Value relation widget

- Relation reference widget

- Value map widget

I think it doesn't apply to date/time widgets, as these are sorted by the raw value, regardless of the display value.

Associated revisions

Revision 56a0af5b - 2016-07-07 04:39 PM - Matthias Kuhn 

Sort attribute table by representation value where useful

Fix #15096

And aligns some edge-cases of sort behavior

History

#1 - 2016-07-05 12:27 AM - Andreas Neumann

- Category changed from Authentication system to Attribute table

#2 - 2016-07-07 07:39 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"56a0af5bd85ed922f13c5659f14eadfe754d0f12".
